import _extends from "@babel/runtime/helpers/esm/extends";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import { defineComponent } from 'vue';
import Tree from './Tree';
import TreeOperationIcon from './TreeOperationIcon';
import { TreeNode as VcTreeNode } from '../vc-tree';
import DirectoryTree from './DirectoryTree';
import { treeNodeProps } from '../vc-tree/props';
/* istanbul ignore next */
var TreeNode = defineComponent(_objectSpread(_objectSpread({}, VcTreeNode), {}, {
  name: 'PfTreeNode',
  props: treeNodeProps
}));
export { DirectoryTree, TreeNode, TreeOperationIcon };
export default _extends(Tree, {
  DirectoryTree: DirectoryTree,
  TreeNode: TreeNode,
  TreeOperationIcon: TreeOperationIcon,
  install: function install(app) {
    app.component(Tree.name, Tree);
    app.component(TreeNode.name, TreeNode);
    app.component(DirectoryTree.name, DirectoryTree);
    app.component(TreeOperationIcon.name, TreeOperationIcon);
    return app;
  }
});